.::SWF::Shadow(3)

NAME
SWF::Shadow - SWF shadow class

SYNOPSIS
        use SWF::Shadow;
        $shadow = new SWF::Shadow(2.5, 12, 2);
        $filter = SWF::Filter::newDropShadowFilter( \@colors, $blur, $shadow, 0);

DESCRIPTION
SWF::Shadow is a helper class useful for SWF::Filter.

METHODS

new SWF::Shadow($angle, $distance, $strength)
    Creates a Shadow object. The object is controlled by angle (in radians), distance (in px) and strength. Useful values for strength are between 1 and 10. Use the created object as parameter for construction of some of the SWF::Filter objects.

AUTHOR
        developers of
        ming.sourceforge.net

SEE ALSO
SWF, SWF::Filter, SWF::Blur, SWF::DisplayItem